# Class ContractBeingDecodedHasNoNodeError

This error indicates that the contract you are attempting to decode does not have AST information associated with it, or that the decoder cannot find it. This error will be thrown if you attempt to use functions that require AST information with such a contract.

#### Hierarchy

- Error
  - ContractBeingDecodedHasNoNodeError

- Defined in decoder/lib/errors.ts:10

#####
Index

### Constructors

constructor

### Properties

compilationId
contractName

## Constructors

### constructor

- new ContractBeingDecodedHasNoNodeError(contractName, compilationId): ContractBeingDecodedHasNoNodeError

- #### Parameters

  - ##### contractName: string

  - ##### compilationId: string

  #### Returns ContractBeingDecodedHasNoNodeError

  Overrides Error.constructor

  - Defined in decoder/lib/errors.ts:13

## Properties

### compilationId

compilationId: string

- Defined in decoder/lib/errors.ts:12

### contractName

contractName: string

- Defined in decoder/lib/errors.ts:11

Generated using TypeDoc